return {
	'nvim-lua/plenary.nvim',
	'folke/which-key.nvim',
	-- { 'kdheepak/lazygit.nvim', cmd = 'LazyGit' },
	{
		'is0n/fm-nvim',
		cmd = {
			'Neomutt',
			'Lazygit',
			'Lf',
		},
	},
	'williamboman/mason-lspconfig.nvim',
	'mfussenegger/nvim-jdtls',
	{
		'phaazon/hop.nvim',
		-- event = 'BufRead',
		keys = { { 's', ':HopChar2<cr>' }, { 'S', ':HopWord<cr>' } },
		config = function()
			require('hop').setup()
		end,
	},
	'rcarriga/cmp-dap',
	{
		'stevearc/dressing.nvim',
		lazy = true,
		init = function()
			vim.ui.select = function(...)
				require('lazy').load { plugins = { 'dressing.nvim' } }
				return vim.ui.select(...)
			end
			vim.ui.input = function(...)
				require('lazy').load { plugins = { 'dressing.nvim' } }
				return vim.ui.input(...)
			end
		end,
	},
	{ 'nvim-tree/nvim-web-devicons', lazy = true },
	-- { 'dstein64/vim-startuptime', lazy = false },
}
